#include "igridform.h"

#include "ui_gridform.h"

IGridForm::IGridForm(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::GridForm)
{
    ui->setupUi(this);
}

IGridForm::~IGridForm()
{
}

void IGridForm::setPluginId(const QString &pluginId)
{
    m_pluginId = pluginId;
}

QString IGridForm::pluginId()
{
    return m_pluginId;
}

QTableView *IGridForm::tableView()
{
    return ui->tableView;
}


void IGridForm::on_btnNew_clicked()
{
    handleNewRecord();
}

void IGridForm::on_btnEdit_clicked()
{
    handleEditRecord();
}

void IGridForm::on_btnDelete_clicked()
{
    handleDeleteRecord();
}
